[Plugin] Face(s) to group(s)
-
Could you please post this as a separate thread? That way it's easier to locate the plugin when it's at the top of the thread. When they are further down in the post list it's very hard to find.
-
Topic split.
-
Think U!I learn more
-
I noticed this doesn't work with SU 6 because of this line:
model.start_operation("Face(s) to Group(s)",true)
if you edit it to
model.start_operation("Face(s) to Group(s)")
leaving out the second parameter it works in SU 6.
Thanks for the plug, anyway.
regards
-
what is a hard edge in sketchup?
-
@daarboven said:
I noticed this doesn't work with SU 6 because of this line:
model.start_operation("Face(s) to Group(s)",true)
if you edit it to
model.start_operation("Face(s) to Group(s)")
leaving out the second parameter it works in SU 6.
Thanks for the plug, anyway.
regards
Right. I have been using this:
if Sketchup.version.to_f < 7.0 Sketchup.active_model.start_operation("Operation") else Sketchup.active_model.start_operation("Operation", true) end
It ain't pretty, but it is clear and even explains a little about the reason.
-
@jim said:
@daarboven said:
I noticed this doesn't work with SU 6 because of this line:
model.start_operation("Face(s) to Group(s)",true)
if you edit it to
model.start_operation("Face(s) to Group(s)")
leaving out the second parameter it works in SU 6.
Thanks for the plug, anyway.
regards
Right. I have been using this:
> if Sketchup.version.to_f < 7.0 > Sketchup.active_model.start_operation("Operation") > else > Sketchup.active_model.start_operation("Operation", true) > end >
It ain't pretty, but it is clear and even explains a little about the reason.
Thanks for the tips Jim and Daarboven, I've updated the script to check for this.
-
@edson said:
what is a hard edge in sketchup?
I presumed it was the opposite of a hidden, soft or smooth edge
@bentleykfrog said:
All Edges Hard: Turns all edges in the selection to unhidden, unsoft and unsmooth (ie a hard edge)
If there's better terminology for this I'll update the code.
-
@bentleykfrog said:
@jim said:
@daarboven said:
I noticed this doesn't work with SU 6 because of this line:
model.start_operation("Face(s) to Group(s)",true)
if you edit it to
model.start_operation("Face(s) to Group(s)")
leaving out the second parameter it works in SU 6.
Thanks for the plug, anyway.
regards
Right. I have been using this:
> > if Sketchup.version.to_f < 7.0 > > Sketchup.active_model.start_operation("Operation") > > else > > Sketchup.active_model.start_operation("Operation", true) > > end > >
It ain't pretty, but it is clear and even explains a little about the reason.
Thanks for the tips Jim and Daarboven, I've updated the script to check for this.
Thanks for the update, and yes, the version conditional is much more readable!!! If the start_operation method would have default values for the parameters, older versions would have stayed out of trouble
-
The second argument is optional. It just didn't exist in older versions.
Advertisement